<?php
/*
  Plugin Name: AFS Analytics
  Plugin URI: http://www.afsanalytics.com/
  Description: AFS Analytics offers one of the best real-time website analytics tool using the latest technologies. Easy to use! Easy to install
  Version: 3.3
  Author: AFS Analytics
  Author URI: http://www.afsanalytics.com/
  Text Domain: afs
  Domain Path: /languages
 */

class AddFreeStats_Plugin {

    var $version = "3.3";

    function init()
    {
         load_plugin_textdomain( 'afs', FALSE, basename( dirname( __FILE__ ) ) . '/languages/' );
 
    }
    
    
    function admin_menu() {

        add_submenu_page('options-general.php', __('AFS Analytics Plugin','afs'), __('AFS Analytics Settings','afs'), 'manage_options', __FILE__, array($this, 'plugin_menu'));
        add_menu_page('AFS Analytics', 'AFS Analytics', 'manage_options',  __('View Web Analytics','afs'), array($this, 'redirect_afs'), 'dashicons-chart-bar', '2.68');
    }

    function wp_footer() {
        //echo stripcslashes(get_option('afs_code'));

        $afs_account = stripcslashes(get_option('afs_account'));
        $afs_server = "";
        if ($afs_account > 99999)
            $afs_server = '1';
        if ($afs_account > 199999)
            $afs_server = '2';
        if ($afs_account > 299999)
            $afs_server = '3';
        if ($afs_account > 399999)
            $afs_server = '4';
        if ($afs_account > 499999)
            $afs_server = '5';
        if ($afs_account > 599999)
            $afs_server = '6';
        if ($afs_account > 699999)
            $afs_server = '7';
        if ($afs_account > 799999)
            $afs_server = '8';
        if ($afs_account > 899999)
            $afs_server = '9';
        if ($afs_account > 999999)
            $afs_server = '10';


        global $post;

        if (isset($post->ID)) {
            $postID = $post->ID;
            $trackername = get_post_meta($postID, "afstrackername", true);
            if (empty($trackername))
                $trackername = $post->post_title;
        }

        if (empty($trackername))
            $trackername = "DetectName";
        $trackername = stripslashes($trackername);
        if (strpos($trackername, '|') !== FALSE)
            $trackername = strstr($trackername, '|');

        $afs_code = "<!-- AFS ANALYTICS for Wordpress V6 -->\n";
        $afs_code .="<!-- Asynchronous tracking code  -->\n";
        $afs_code .="<!-- Speed Up 10x load time -->\n";
        $afs_code .="<!-- AUTODETECT PAGE NAME & URL -->\n";

        $afs_code .="<div id=\"addfreestats-wordpress\" STYLE=\"position:relative;bottom: 2px; text-align:center\">\n";



        //$afs_code .="<div id='addfreestats'></div>\n";
        $afs_code .="<script type=\"text/javascript\"><!--\n";
        $afs_code .="afsid =document.getElementById(\"addfreestats\");\n";
        $afs_code .="if (afsid==null) { \n";
        $afs_code .="var afsdiv = document.createElement(\"div\");\n";
        $afs_code .="afsdiv.id=\"addfreestats\";\n";
        $afs_code .="var content='<div id=\"addfreestats\"></div>';\n";
        $afs_code .="document.getElementById('addfreestats-wordpress').innerHTML = content;\n";
        $afs_code .="}\n";



        $afs_code .="var AFS_Account=\"$afs_account\";\n";
        $afs_code .="var AFS_Tracker=\"auto\";\n";
        $afs_code .="var AFS_Server=\"www";
        $afs_code .="$afs_server\";\n"; //68
        $afs_code .="var AFS_Page=\"$trackername\";\n";
        $afs_code .="var AFS_Url=\"DetectUrl\";\n";
        $afs_code .="var AFS_Protocol=\"http:\";\n";
        $afs_code .="var speed = document.createElement('script');\n";
        $afs_code .="if (document.location.protocol == \"https:\") AFS_Protocol=\"https:\";\n";

        $afs_code .="speed.type = 'text/javascript';\n";
        $afs_code .="speed.async = true;\n";
        $afs_code .="speed.src =AFS_Protocol+'//'+AFS_Server+'.afsanalytics.com/cgi-bin/afstracka.cgi?usr='+AFS_Account;\n";
        $afs_code .="var s = document.getElementsByTagName('script')[0];\n";
        $afs_code .="s.parentNode.insertBefore(speed, s);\n";
        $afs_code .="//--></script>\n";
        $afs_code .="<noscript>\n";
        $afs_code .="<a href=\"https://www.afsanalytics.com\" rel=\"nofollow\">\n";
        $afs_code .="<img src=\"https://www$afs_server.afsanalytics.com/cgi-bin/connect.cgi?usr=";
        $afs_code .="$afs_account";
        $afs_code .="Pauto\" border=0 alt=\"AFS Analytics\"></a>\n";
        $afs_code .="</noscript>\n";
        $afs_code .="</div>\n";
        $afs_code .="<!-- END AFSANALYTICS.COM AUTOCODE V6.0  -->\n"; //82

        print $afs_code;
    }

    function redirect_afs() {

        $account = get_option('afs_account');
       
        
        if (empty($account) || intval($account)==0) {
        print "<div style='text-align:center'>";
        print "<p><b>";
        _e('You have to define the plugin settings! Settings ->  AFS Analytics settings.','afs');
        print "</b></p>";
        print "</div>"; 
        return;
        
       } 
        
        
        print "<div style='text-align:center'>";
        print "<p><b>";
        _e('Please be patient, AFS Analytics is loading ...','afs');
        print "</b></p>";
        print "</div>";
     
        print "<p><div style='text-align:center'>";
        print "<a href='https://www.afsanalytics.com/dashboard.php?usr=$account' target='_blank'>AFS Analytics</a>";
        print "</p></div>";

        print "\n<script type='text/javascript'>\n";
        print "var usr=" . get_option('afs_account') . ";\n";
        print "window.location.href='https://www.afsanalytics.com/dashboard.php?usr='+usr;\n";
        print "</script>\n";
    }

    function add_trackerfield() {

        global $post;
        $postID = $post->ID;
        $trackername = stripslashes(get_post_meta($postID, "afstrackername", true));
        print "<div>";
        print "<b>";
        _e('AFS Analytics tracker name','afs'); 
        print ":&nbsp;&nbsp;$postID</b>";
       
        print "<input type='text' name='afstrackername' id='afstrackername' size=40 placeholder='";
        _e('tracker name (optional)','afs');
        print "' value='$trackername'/>";
        print "</div>";
    }

    function save_trackerfield() {
        global $post;


        if (isset($post->ID)) {
            $postID = $post->ID;
           
            if (isset($_POST['afstrackername']))
                $tracker = addslashes($_POST['afstrackername']);
            else
                $tracker = addslashes($_POST['post_title']);

           if (empty($tracker)) $tracker = $post->post_title;
            
            if (!empty($tracker)) {
                if (!add_post_meta($postID, 'afstrackername', $tracker, true)) {
                    update_post_meta($postID, 'afstrackername', $tracker);
                }
            }
        }
    }

    function plugin_menu() {
        $message = null;
        $message_updated = __("Website ID Saved!","afs");

        // update options

        if (!empty($_POST)) {
            if ($_POST['afs_account']) {
                update_option('afs_account', $_POST['afs_account']);
                //if ($_POST['afs_x']) update_option('afs_x', $_POST['afs_x']);
                // else update_option('afs_x', 0);
                //if ($_POST['afs_y']) update_option('afs_y', $_POST['afs_y']);
                //else update_option('afs_y', 0);
                //
                 
               $message = $message_updated;
                //update_option('afs_code', $afs_code);
                wp_cache_flush();
            }
        }
        ?>

        <?php if ($message) : ?>
            <div id="message" class="updated fade"><p><?php echo $message; ?></p></div>
        <?php endif; ?>
        <div id="dropmessage" class="updated" style="display:none;"></div>
        <script type="text/javascript">
                   
            function register()
            {
        <?php
        $sitename = get_bloginfo('name');
        $siteurl = get_bloginfo('url');
        $sitedes = get_bloginfo('description');
        print "var sitename='$sitename';\n";
        print "var siteurl='$siteurl';\n";
        print "var sitedes= '$sitedes';\n";
        print "var gourl='https://www.afsanalytics.com/wpsignup.php?';\n";
        print "gourl+='&sitename='+encodeURIComponent(sitename);\n";
        print "gourl+='&siteurl='+encodeURIComponent(siteurl);\n";
        print "gourl+='&sitedes='+encodeURIComponent(sitedes);\n";
        ?>
                window.open(gourl,"AFS Analytics Sign Up","width=450, height=500,toolbar=no, scrollbars=no, resizable=no, top=10,left=10");
            } 
        </script>

        <div class="wrap" style="width:400px; border: 1px solid #ddd;margin: 10px auto;padding: 15px">
            <div style="text-align:center">
        <?php
        $plugdir = plugins_url();
        print "<a href='https://www.afsanalytics.com' target='_blank'><img src='$plugdir/addfreestats/logo.png'></a>\n";
        ?>
                <br>
                <h3>
       <?php _e('How to install AFS Analytics?','afs');?> 
                
                </h3>
            </div>
            <div style="text-align:left; padding-left:20px">
<?php 
                 _e('1 - New Website?','afs');  
                 print " <a href='javascript:register()'> ";
                 _e('Click here','afs'); 
                 print " </a> ";
                 _e('to get a Website ID','afs');  
                 print "<br>";
                 _e('2 - Type your Website ID into the Website ID field','afs');
                 print ".<br>";
                 _e("3 - Click on 'Update' button","afs");
                 print ".<br>";
                 _e('4 - AFS Analytics code will be inserted into the footer','afs');
                 print ". <br>";
                 _e('5 - Join us on','afs');
                 print " <a href='https://www.facebook.com/afsanalytics'>Facebook</a>."; 
  ?>
                
            </div>
        <?php
        $account = get_option('afs_account');
        /*
          if (!empty($account)) {
          print "<div style='text-align:center'>";
          print "<br><a href='https://new.afsanalytics.com/?usr=$account' target='_blank'>View your website stats</a>";
          print "</div>";
          }
         */
        ?>
            <div style="text-align:center">
                <h3>Plugin Options</h3>
            </div>
            <div style="text-align:center; padding-left:20px">
                <form name="dofollow" action="" method="post">
                    <table>
                        <tr>
                            <td scope="row" style="text-align:left; vertical-align:middle;"><?php _e('Website ID:','afs') ?></td>
                            <td><input type="text" size="20" placeholder="8 digits" name="afs_account"  value="<?php echo stripcslashes(get_option('afs_account')); ?>"</td></tr>

                    </table>
                    <div class="submit" style="text-align:center">
                        <input type="hidden" name="action" value="update" />
                        <input type="submit" name="Submit" style="cursor:pointer" value="<?php _e('Update','afs') ?> &raquo;" />
                    </div>
                </form>


                <div style="text-align:left">
                    <p>
                       <?php 
                        _e('By default the tracker is invisible. You can select a','afs');
                        print " <a href='https://www.afsanalytics.com/info/33/change-the-afs-analytics-button-design.html' target='_blank'>";
                        _e('visible tracker','afs');
                        print ".</a>";
                        _e('If you want to insert the code in other place, just paste the line:','afs'); 
                        print '<I>&ltdiv id="addfreestats"&gt&lt/div&gt </I> '; 
                        _e('where you want the code to appear.','afs'); 
                       ?>
                           </p>
                </div>


                <p><a title="AFS Analytics" href="http://www.afsanalytics.com" target="_blank">
                <?php _e('AFS Analytics for WordPress','afs') ?>
                </a></p>
            </div>
        </div>
        <?php
    }

// plugin_menu
}

// Another_WordPress_Tracker_Plugin
$_awtp_plugin = new AddFreeStats_Plugin();
add_action('plugins_loaded', array($_awtp_plugin,'init'));
add_option("afs_account", null, '', 'yes');
//add_option("afs_x", null,'', 'yes');
//add_option("afs_y", null,'', 'yes');
//add_option("afs_code",null,'','yes');
add_action('admin_menu', array($_awtp_plugin, 'admin_menu'));
add_action('wp_footer', array($_awtp_plugin, 'wp_footer'));
add_action('edit_form_after_title', array($_awtp_plugin, 'add_trackerfield'));
add_action('save_post', array($_awtp_plugin, 'save_trackerfield'));
?>
